import request from '@/utils/request'

// 查询分期实缴信息列表
export function listPayment(query) {
  return request({
    url: '/basicData/xcrInstallmentPayment/findByPage',
    method: 'get',
    params: query
  })
}

// 查询分期实缴信息详细
export function getPayment(xhCodeId) {
  return request({
    url: '/basicData/xcrInstallmentPayment/' + xhCodeId,
    method: 'get'
  })
}

// 新增分期实缴信息
export function addPayment(data) {
  return request({
    url: '/basicData/xcrInstallmentPayment',
    method: 'post',
    data: data
  })
}

// 修改分期实缴信息
export function updatePayment(data) {
  return request({
    url: '/basicData/xcrInstallmentPayment',
    method: 'put',
    data: data
  })
}

// 删除分期实缴信息
export function delPayment(xhCodeId) {
  return request({
    url: '/basicData/xcrInstallmentPayment/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delPaymentBatch(ids) {
  return request.post('/basicData/xcrInstallmentPayment/delete',ids)
}
